Bug 1480654 - Duplicated users when changed the (upper,lower)case of letters of login name
Summary: Duplicated users when changed the (upper,lower)case of letters of login name
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.2
Assignee: Joe Vlcek
QA Contact: Matt Pusateri
URL:
Whiteboard: auth:externalauth:ad:rbac
Depends On: 1448787
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-11 15:07 UTC by Satoe Imaishi
Modified: 2017-10-24 00:38 UTC (History)
13 users (show)

Fixed In Version: 5.8.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1448787
Environment:
5.7.2.1
Last Closed: 2017-10-24 00:38:34 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 3 CFME Bot 2017-08-11 19:01:10 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/344df3acf370e5f852bfd4772b4b67dcc2649d69

commit 344df3acf370e5f852bfd4772b4b67dcc2649d69
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Wed Aug 2 17:30:37 2017 -0400
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Fri Aug 11 13:27:17 2017 -0400

    Normalize the username entered at login to lowercase
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1480654
    
    This is a cherry pick from 88a312c28a
    The cherry pick was not clean and had to be finished manually due to layout change of affected files.
    
    LDAP does a case sensitive match of the user name but AD will
    do a case insensitive match. By normalizing the userid to
    lowercase when using external auth both backed to either
    an LDAP directory or AD both will authenticate but only one DB
    record, in all lowercase, will be created, even if the user
    attempted to login with a mixed case username when backed to AD.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1448787

 app/models/authenticator.rb             | 10 ++++++--
 spec/models/authenticator/httpd_spec.rb | 44 +++++++++++++++++++++++++++------
 2 files changed, 44 insertions(+), 10 deletions(-)

Comment 4 Matt Pusateri 2017-08-30 19:00:21 UTC
Verified on 5.8.2.0

Comment 10 errata-xmlrpc 2017-10-24 00:38:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.